Subject: Re: Keep original author with git merge --squash?

From: Jeff King <[email-masked]>
Date: Thu, 12 Feb 2015 07:12:58 -0500

On Thu, Feb 12, 2015 at 12:35:48PM +0100, Michael Haggerty wrote:

> > I assume you are already munging in your editor the template provided by
> > "git commit" after the squash? What would be really nice, IMHO, is if
> > there was a way to set the author during that edit (e.g., by moving one
> > of the "Author:" lines to the top of the file). That would cover your
> > use case, I think, and would also be useful in general.
> 
> If only Git supported options on todo list lines [1], this could be
> implemented via a "--use-author" option:
> 
>     pick --use-author 1234556 blah
>     squash 84392ab etc
>     fixup 49106a5 another
> 
> Happily, this would work with fixup, too, without forcing the user to go
> into the editor. Also, it wouldn't require metadata to be read in-band
> from the commit message.

Yes, that would be nice, but I don't think David is using a sequencer
todo list here at all. It's just:

  git merge --squash pr/100
  git commit

-Peff